%define pkgname pkg-config
Name:		pkgconfig
Version:	0.19
Release:	%mkrel 2
Summary:	Pkgconfig helps make building packages easier
Source:		http://www.freedesktop.org/software/pkgconfig/releases/%{pkgname}-%version.tar.bz2
Patch1:		pkg-config-0.19-biarch.patch.bz2
# (fc) 0.19-1mdk add --print-provides/--print-requires (Fedora)
Patch2:		pkgconfig-0.15.0-reqprov.patch.bz2
# (fc) 0.19-1mdk fix overflow with gcc4 (Fedora)
Patch3:		pkgconfig-0.15.0-overflow.patch.bz2
# (gb) 0.19-2mdk 64-bit fixes, though that code is not used, AFAICS
Patch4:		pkg-config-0.19-64bit-fixes.patch.bz2
URL:		http://www.freedesktop.org/software/pkgconfig
License:	GPL
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
pkgconfig is a program which helps you gather information to make
life easier when you are compiling a program for those programs which support
it.

In fact, it's required to build certain packages.

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 -b .biarch
%patch2 -p1 -b .reqprov
%patch3 -p1 -b .overflow
%patch4 -p1 -b .64bit-fixes

#needed by patch1
autoheader
autoconf

%build
%{?__cputoolize: %{__cputoolize} -c glib-1.2.8}
%configure2_5x --enable-indirect-deps=yes
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%if "%{_lib}" != "lib"
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig
ln -s ../../lib/pkgconfig $RPM_BUILD_ROOT%{_libdir}/pkgconfig/32
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README ChangeLog
%{_bindir}/pkg-config
%{_libdir}/pkgconfig
%{_datadir}/pkgconfig
%if "%{_lib}" != "lib"
%{_prefix}/lib/pkgconfig
%{_libdir}/pkgconfig/32
%endif
%{_datadir}/aclocal/*
%{_mandir}/man1/*

%changelog
* Sun Sep 11 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.19-2mud
- rebuild for Mandriva 10.1
- added %%mkrel

* Fri Sep  2 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.19-2mdk
- some 64-bit fixes, but apparently in dead code
- fix broken patch1 regeneration from 0.17.2-1mdk

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.19-1mdk 
- Release 0.19
- Regenerate patch1
- remove make check, doesn't pass upstream
- Patch2 (Fedora): add --print-provides/--print-requires
- Patch3 (Fedora): fix overflow when using gcc4

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 0.17.2-2mdk 
- Create %{_datadir}/pkgconfig for arch independant .pc files

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 0.17.2-1mdk 
- Release 0.17.2
- don't enable inter-library dependency, it might break many apps
- Remove patch0 (merged upstream)
- Regenerate patch1

* Tue Jan 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15.0-5mdk
- biarch pkgconfig support

* Sat Jun 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15.0-4mdk
- small patch to avoid spurious aclocal warning
- spec cleanup

* Wed Jul 30 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15.0-3mdk
- cputoolize since pkgconfig people don't use a single config.* script

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.15.0-2mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.0-1mdk
- Release 0.15.0

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.0-1mdk
- Release 0.14.0

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-1mdk
- Release 0.13

* Tue Jul 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.12.0-2mdk
- Costlessly make check in %%build stage

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Release 0.12.0

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- Release 0.10.0

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.0-2mdk
- Sanity build for 8.1.

* Thu Jul 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0

* Tue Jun 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.0-1mdk
- s/Copyright/License/;

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-1mdk
- Release 0.7
- new URL
- Add missing files

* Sun Apr 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.0-3mdk
- Take out some snailtalk favored pkgconfig aka remove the buildroot
  from the binary (DindinX).
  
* Fri Apr 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.0-2mdk
- Change the description (Abel Cheung), yes it's terribly misleading.

* Thu Apr 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.0-1mdk
- Made an RPM for the purposes of compiling glib2.

